[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TList.AddList

Add all pointers from another list

## Declaration

Source position: classesh.inc line 326

`public procedure TList.AddList(`
`AList: TList`
`);`

## Description

AddList adds all pointers from AList to the list. If a pointer is already present, it is added a second time.

## See also

TList.Assign |  | Copy the contents of other lists.
TFPList.AddList |  | Add all pointers from another list